## org.eclipse.ocl.expressions
Interface FeatureCallExp<C>

All Superinterfaces:
  ASTNode, CallExp<C>, CallingASTNode, EObject, Notifier, OCLExpression<C>, TypedElement<C>, Visitable

All Known Subinterfaces:
  AssociationClassCallExp, AssociationClassCallExp, AssociationClassCallExp<C,P>, FeatureCallExp, FeatureCallExp, NavigationCallExp<C,P>, NavigationCallExp, NavigationCallExp, OperationCallExp<C,O>, OperationCallExp, OperationCallExp, PropertyCallExp, PropertyCallExp, PropertyCallExp<C,P>

All Known Implementing Classes:
  AssociationClassCallExpImpl, AssociationClassCallExpImpl, AssociationClassCallExpImpl, FeatureCallExpImpl, FeatureCallExpImpl, FeatureCallExpImpl, NavigationCallExpImpl, NavigationCallExpImpl, NavigationCallExpImpl, OperationCallExpImpl, OperationCallExpImpl, OperationCallExpImpl, PropertyCallExpImpl, PropertyCallExpImpl, PropertyCallExpImpl

    public interface FeatureCallExp<C>

extends CallExp<C>

A representation of the model object 'Feature Call Exp'.

The following features are supported:

- `Marked Pre`

See Also:
  `ExpressionsPackage.getFeatureCallExp()`

Method Summary
`boolean` `isMarkedPre()` Returns the value of the 'Marked Pre' attribute
`void` `setMarkedPre(boolean value)` Sets the value of the '`Marked Pre`' attribute

Methods inherited from interface org.eclipse.ocl.expressions.CallExp
`getSource, setSource`

Methods inherited from interface org.eclipse.ocl.utilities.TypedElement
`getName, getType, setName, setType`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.ocl.utilities.Visitable
`accept`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.ocl.utilities.ASTNode
`getEndPosition, getStartPosition, setEndPosition, setStartPosition`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.ocl.utilities.CallingASTNode
`getPropertyEndPosition, getPropertyStartPosition, setPropertyEndPosition, setPropertyStartPosition`

Methods inherited from interface org.eclipse.ocl.utilities.ASTNode
`getEndPosition, getStartPosition, setEndPosition, setStartPosition`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### isMarkedPre

    boolean isMarkedPre()

  Returns the value of the 'Marked Pre' attribute.

  If the meaning of the 'Marked Pre' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Marked Pre' attribute.
  See Also:
    `setMarkedPre(boolean)`, `ExpressionsPackage.getFeatureCallExp_MarkedPre()`

### setMarkedPre

    void setMarkedPre(boolean value)

  Sets the value of the '`Marked Pre`' attribute.

  Parameters:
    `value` - the new value of the 'Marked Pre' attribute.
  See Also:
    `isMarkedPre()`

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.